For the complete documentation index, see llms.txt. This page is also available as Markdown.

Agent

An endpoint for interacting with Agent apps using chat messages.

Chat

post

This endpoint allows you to send a message (chat) to an Agent app. You can include inputs with your message which will be passed to the app.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
app_uuidstringRequired

The app uuid, you can find the app uuid by going to the App => Integrate

Body
messagestringRequired

The message to send to the agent

Example: Hello, I need help with this.
session_idstringOptional

The session id of the chat. Use the session_id to send a message to an existing conversation. If not present, a new session will be created after sending the first message.

Example: 23iu3h23-34n43yib4-3243n34b4-34n434h
Responses
200

Message sent

application/json
post/public_api/agent_apps/{app_uuid}/chat
POST /public_api/agent_apps/{app_uuid}/chat HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 62

{
  "message": "Hello, how are you?",
  "inputs": {
    "name": "John Doe"
  }
}
{
  "result": {
    "message": "Hello, how are you?.",
    "session_id": "23iu3h23-34n43yib4-3243n34b4-34n434h"
  },
  "airops_app_execution": {
    "id": 22,
    "status": "success",
    "airops_apps_version_id": 21,
    "conversation_id": 23,
    "credits_used": 34,
    "error_code": null,
    "error_message": null,
    "feedback": "positive",
    "inputs": {
      "name": "John Doe"
    },
    "output": {
      "greet": "Hello John Doe!"
    },
    "runtime": 34,
    "source": null,
    "uuid": "c3405f16-d0e8-4d5c-8ad9-85ef332c44ee",
    "workspace_id": 1,
    "createdAt": "2024-02-01 16:39:28.161000000 Z",
    "updatedAt": "2024-02-01 16:39:28.161000000 Z"
  }
}

Async Chat

post

This endpoint allows you to send a message (chat) to an Agent app asynchronously, without waiting for the response. You can include inputs with your message which will be passed to the app.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
app_uuidstringRequired

The app uuid, you can find the app uuid by going to the App => Integrate

Body
messagestringRequired

The message to send to the agent.

Example: Hello, how are you?
Responses
200

Message sent

application/json
session_idstringOptional

The session id of the chat. Use the session_id to send a message to an existing conversation. If not present, a new session will be created after sending the first message.

Example: 23iu3h23-34n43yib4-3243n34b4-34n434h
post/public_api/agent_apps/{app_uuid}/async_chat
POST /public_api/agent_apps/{app_uuid}/async_chat HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 62

{
  "message": "Hello, how are you?",
  "inputs": {
    "name": "John Doe"
  }
}
{
  "session_id": {
    "$ref": "#/components/examples/ChatPayload/value/session_id"
  },
  "airops_app_execution": {
    "id": 22,
    "status": "success",
    "airops_apps_version_id": 21,
    "conversation_id": 23,
    "credits_used": 34,
    "error_code": null,
    "error_message": null,
    "feedback": "positive",
    "inputs": {
      "name": "John Doe"
    },
    "output": {
      "greet": "Hello John Doe!"
    },
    "runtime": 34,
    "source": null,
    "uuid": "c3405f16-d0e8-4d5c-8ad9-85ef332c44ee",
    "workspace_id": 1,
    "createdAt": "2024-02-01 16:39:28.161000000 Z",
    "updatedAt": "2024-02-01 16:39:28.161000000 Z"
  }
}

Last updated

Was this helpful?